Skip to main content
GET
https://your-rootprint-host
/
api
/
admin
/
activity
/
users
/
{userId}
/
indexes
List user search activity by index
curl --request GET \
  --url https://your-rootprint-host/api/admin/activity/users/{userId}/indexes \
  --cookie better-auth.session_token=
[
  {
    "indexId": "<string>",
    "count": 123,
    "avgDurationMs": 123,
    "errorCount": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

userId
string
required

User ID.

Minimum string length: 1

Query Parameters

window
enum<string>

Activity lookback window. Defaults to 7d.

Available options:
24h,
7d,
30d

Response

User search activity grouped by index.

indexId
string
required
count
integer
required
avgDurationMs
number
required
errorCount
integer
required